### Signal

# Gtk SignalListItemFactory::unbind

since: 4.0

#### Declaration

    void
    unbind (
      GtkSignalListItemFactory* self,
      GObject* object,
      gpointer user_data
    )

#### Description [src]

Emitted when an object has been unbound from its item, for example when a listitem was removed from use in a list widget and its `GtkListItem:item` is about to be unset.

This signal is the opposite of the `GtkSignalListItemFactory::bind` signal and should be used to undo everything done in that signal.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`object`

  Type: `GObject`

  The `GObject` to unbind.

  The data is owned by the caller of the function.